/[gentoo-x86]/dev-ruby/rails/ChangeLog
Gentoo

Diff of /dev-ruby/rails/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.63 Revision 1.123
1# ChangeLog for dev-ruby/rails 1# ChangeLog for dev-ruby/rails
2# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.63 2006/08/10 11:56:45 fmccor Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-ruby/rails/ChangeLog,v 1.123 2008/12/03 06:40:09 graaff Exp $
4
5*rails-2.2.2-r1 (03 Dec 2008)
6*rails-2.1.2-r1 (03 Dec 2008)
7*rails-2.0.5-r1 (03 Dec 2008)
8*rails-1.2.6-r1 (03 Dec 2008)
9
10 03 Dec 2008; Hans de Graaff <graaff@gentoo.org> +rails-1.2.6-r1.ebuild,
11 +rails-2.0.5-r1.ebuild, +rails-2.1.2-r1.ebuild, +rails-2.2.2-r1.ebuild:
12 Make sure /usr/bin/rails loads the correct version of rails. Depend on and use
13 select-rails-0.14 to simplify the rails update process. Fixes #221899. Thanks
14 to Mark Somerville for initial patches and Alex Legler for getting it ready
15 for the tree and testing.
16
17*rails-2.2.2 (27 Nov 2008)
18
19 27 Nov 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.2.2.ebuild:
20 Version bump for Rails 2.2.2
21
22 17 Nov 2008; Hans de Graaff <graaff@gentoo.org> -rails-2.0.2.ebuild,
23 -rails-2.0.4.ebuild, -rails-2.1.0.ebuild, -rails-2.1.1.ebuild:
24 Remove old, insecure, versions
25
26 15 Nov 2008; Tobias Scherbaum <dertobi123@gentoo.org> rails-2.0.5.ebuild,
27 rails-2.1.2.ebuild:
28 ppc stable, bug #237385
29
30 06 Nov 2008; Raúl Porcel <armin76@gentoo.org> rails-2.1.2.ebuild:
31 ia64 stable wrt #237385
32
33 05 Nov 2008; Markus Meier <maekke@gentoo.org> rails-2.0.5.ebuild:
34 amd64/x86 stable, bug #237385
35
36 04 Nov 2008; Brent Baude <ranger@gentoo.org> rails-2.0.5.ebuild,
37 rails-2.1.2.ebuild:
38 Marking rails-2.0.5|2.1.2 ppc64 for bug 237385
39
40 03 Nov 2008; Markus Meier <maekke@gentoo.org> rails-2.1.2.ebuild:
41 amd64/x86 stable, bug #237385
42
43 03 Nov 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.5.ebuild,
44 rails-2.1.2.ebuild:
45 Sparc stable, Security Bug #237385.
46
47*rails-2.1.2 (24 Oct 2008)
48
49 24 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.2.ebuild:
50 Version bump. Fixes security issue #242914 (header-injection) and #237285.
51 Also features minor fixes.
52
53*rails-2.0.5 (20 Oct 2008)
54
55 20 Oct 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.5.ebuild:
56 Version bump for Rails 2.0.5
57
58*rails-2.1.1 (13 Sep 2008)
59
60 13 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.1.ebuild:
61 Version bump for Rails 2.1.1, bug #237392
62
63*rails-2.0.4 (12 Sep 2008)
64
65 12 Sep 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.0.4.ebuild:
66 Version bump for Rails 2.0.4, bug #237385
67
68 13 Jul 2008; Hans de Graaff <graaff@gentoo.org>
69 -files/1.1.6-deprecate-old-lighttpd.patch, -rails-1.1.6.ebuild,
70 -rails-1.1.6-r2.ebuild:
71 Belated removal for GLSA 200711-17
72
73 04 Jul 2008; Hans de Graaff <graaff@gentoo.org> rails-2.1.0.ebuild:
74 Rails now depends on rake 0.8.1 or better.
75
76 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> -rails-1.2.5.ebuild:
77 Remove old version
78
79*rails-2.1.0 (17 Jun 2008)
80
81 17 Jun 2008; Hans de Graaff <graaff@gentoo.org> +rails-2.1.0.ebuild:
82 Version bump for Rails 2.1.0
83
84 16 May 2008; nixnut <nixnut@gentoo.org> rails-2.0.2.ebuild:
85 Stable on ppc wrt bug 221309
86
87 13 May 2008; Raúl Porcel <armin76@gentoo.org> rails-2.0.2.ebuild:
88 ia64 stable wrt #221309
89
90 13 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
91 Sparc stable (again), following Hans de Graff's comment 7 in Bug #221309.
92 RMD160 for rails-2.0.2.gem should now be correct.
93
94 12 May 2008; Markus Rothe <corsair@gentoo.org> rails-2.0.2.ebuild:
95 Stable on ppc64; bug #221309
96
97 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
98 Back to ~sparc because of Friedrich Oslage's comments in Bug #221309.
99
100 11 May 2008; Ferris McCormick <fmccor@gentoo.org> rails-2.0.2.ebuild:
101 Sparc stable --- part of Bug #221309 --- Good for about 5 months.
102
103 11 May 2008; Markus Meier <maekke@gentoo.org> rails-2.0.2.ebuild:
104 x86 stable, bug #221309
105
106 11 May 2008; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
107 Stable on amd64, bug #221309
108
109 19 Mar 2008; Hans de Graaff <graaff@gentoo.org> Manifest:
110 Redigest due to upstream repackaging
111
112 04 Jan 2008; <nichoj@gentoo.org> ChangeLog:
113 Updated dependencies not to relay on specific version, and allowing for
114 later revisions (ie change =dev-ruby/activerecord-2.0.2 to
115 ~dev-ruby/activerecord-2.0.2.
116
117 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> rails-2.0.2.ebuild:
118 Fix quoting; database USE flags have moved to dev-ruby/activerecord, make this
119 a warn instead of an info message.
120
121*rails-2.0.2 (18 Dec 2007)
122
123 18 Dec 2007; Hans de Graaff <graaff@gentoo.org> +rails-2.0.2.ebuild:
124 Version bump for Rails 2.0.2
125
126 01 Dec 2007; Christoph Mende <angelos@gentoo.org> rails-1.2.6.ebuild:
127 Stable on amd64 wrt bug #200159
128
129 01 Dec 2007; Hans de Graaff <graaff@gentoo.org> -rails-1.2.3.ebuild,
130 -rails-1.2.3-r1.ebuild, -rails-1.2.4.ebuild:
131 Remove old vulnerable versions
132
133 27 Nov 2007; Markus Rothe <corsair@gentoo.org> rails-1.2.6.ebuild:
134 Added ~ppc64; bug #200159
135
136 27 Nov 2007; Raúl Porcel <armin76@gentoo.org> rails-1.2.6.ebuild:
137 ia64/sparc stable wrt security #200159
138
139 26 Nov 2007; Brent Baude <ranger@gentoo.org> rails-1.2.6.ebuild:
140 Marking rails-1.2.6 ppc for bug 200159
141
142 26 Nov 2007; Christian Faulhammer <opfer@gentoo.org> rails-1.2.6.ebuild:
143 stable x86, security bug 200159
144
145*rails-1.2.6 (25 Nov 2007)
146
147 25 Nov 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.6.ebuild:
148 Version bump for Rails 1.2.6, security bug #200159
149
150 21 Oct 2007; Steve Dibb <beandog@gentoo.org> rails-1.2.5.ebuild:
151 amd64 stable, security bug 195315
152
153 18 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org> rails-1.2.5.ebuild:
154 ppc stable, bug #195315
155
156 16 Oct 2007; Raúl Porcel <armin76@gentoo.org> rails-1.2.5.ebuild:
157 ia64/sparc stable wrt security #195315
158
159 16 Oct 2007; Hans de Graaff <graaff@gentoo.org> rails-1.2.5.ebuild:
160 Add back the dependency on eselect-rails that got dropped somehow after
161 rails-1.2.3-r1
162
163 16 Oct 2007; Christian Faulhammer <opfer@gentoo.org> rails-1.2.5.ebuild:
164 stable x86, security bug 195315
165
166*rails-1.2.5 (13 Oct 2007)
167
168 13 Oct 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.5.ebuild:
169 Version bump with security fixes, bug 195315
170
171 07 Oct 2007; Hans de Graaff <graaff@gentoo.org> rails-1.2.4.ebuild:
172 Add back the code that handles eselect, I must have used the wrong file to
173 start from :-(
174
175 06 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
176 rails-1.2.3-r1.ebuild:
177 stable x86, bug 177209
178
179*rails-1.2.4 (06 Oct 2007)
180
181 06 Oct 2007; Hans de Graaff <graaff@gentoo.org> +rails-1.2.4.ebuild:
182 Version bump for rails 1.2.4
183
184 06 Oct 2007; Hans de Graaff <graaff@gentoo.org>
185 -files/rails-1.0.0-rdoc-rake-0.7.patch, -rails-1.1.6-r1.ebuild,
186 -rails-1.2.0.ebuild, -rails-1.2.1.ebuild, -rails-1.2.2.ebuild:
187 Remove versions that are old or won't become stable
188
189 06 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
190 rails-1.2.3-r1.ebuild:
191 ppc stable, bug #177209
192
193 05 Oct 2007; Ferris McCormick <fmccor@gentoo.org> rails-1.2.3-r1.ebuild:
194 Sparc stable --- Bug #177209
195
196 03 Sep 2007; Joshua Nichols <nichoj@gentoo.org> rails-1.1.6.ebuild,
197 rails-1.1.6-r1.ebuild, rails-1.1.6-r2.ebuild, rails-1.2.0.ebuild,
198 rails-1.2.1.ebuild, rails-1.2.2.ebuild, rails-1.2.3.ebuild,
199 rails-1.2.3-r1.ebuild:
200 Changed eselect-rails from PDEPEND to DEPEND. Moved blockers from
201 eselect-rails to here. Should address bug #172812.
202
203*rails-1.2.3-r1 (01 Sep 2007)
204*rails-1.1.6-r2 (01 Sep 2007)
205
206 01 Sep 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.1.6-r2.ebuild,
207 +rails-1.2.3-r1.ebuild:
208 Revision bumps for both slots. No longer installs /usr/bin/rails. Instead,
209 uses app-admin/eselect-rails to manage the symlink.
210
211 14 Mar 2007; Richard Brown <rbrown@gentoo.org> rails-1.2.3.ebuild:
212 Fix rails-1.2.3 rake dependency
213
214*rails-1.2.3 (14 Mar 2007)
215
216 14 Mar 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.2.3.ebuild:
217 Version bump for rails 1.2.3.
218
219*rails-1.2.2 (11 Feb 2007)
220
221 11 Feb 2007; Joshua Nichols <nichoj@gentoo.org> +rails-1.2.2.ebuild:
222 Version bump.
223
224 10 Feb 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
225 rails-1.1.6.ebuild, rails-1.1.6-r1.ebuild, rails-1.2.0.ebuild,
226 rails-1.2.1.ebuild:
227 Updated rails license to MIT, #165876
228
229*rails-1.2.1 (21 Jan 2007)
230
231 21 Jan 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
232 -rails-1.2.0_rc1.ebuild, +rails-1.2.1.ebuild:
233 1.2.1 in, 1.2.0_rc1 out
234
235*rails-1.2.0 (19 Jan 2007)
236
237 19 Jan 2007; Caleb Tennis <caleb@gentoo.org> +rails-1.2.0.ebuild:
238 rails 1.2.0
239
240*rails-1.2.0_rc1 (24 Nov 2006)
241
242 24 Nov 2006; Caleb Tennis <caleb@gentoo.org> +rails-1.2.0_rc1.ebuild:
243 1.2.0_rc1
244
245*rails-1.1.6-r1 (03 Oct 2006)
246
247 03 Oct 2006; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
248 +files/1.1.6-deprecate-old-lighttpd.patch, -rails-1.1.2.ebuild,
249 -rails-1.1.3.ebuild, -rails-1.1.4.ebuild, -rails-1.1.5.ebuild,
250 +rails-1.1.6-r1.ebuild:
251 Removed old ebuilds. Added 1.1.6-r1 to ignore lighttpd older than 1.4.10
252 (bug #133500)
253
254 02 Sep 2006; Bryan Østergaard <kloeri@gentoo.org> rails-1.1.6.ebuild:
255 Stable on ia64.
256
257*rails-1.1.6 (10 Aug 2006)
258
259 10 Aug 2006; Caleb Tennis <caleb@gentoo.org> +rails-1.1.6.ebuild:
260 version bump
4 261
5 10 Aug 2006; Ferris McCormick <fmccor@gentoo.org> rails-1.1.5.ebuild: 262 10 Aug 2006; Ferris McCormick <fmccor@gentoo.org> rails-1.1.5.ebuild:
6 Stable on sparc --- Bug #143369 (mandatory security upgrade) --- installs and 263 Stable on sparc --- Bug #143369 (mandatory security upgrade) --- installs and
7 works. 264 works.
8 265

Legend:
Removed from v.1.63  
changed lines
  Added in v.1.123

  ViewVC Help
Powered by ViewVC 1.1.20